import React from 'react';

import AppReducer, { AppReducerInitialState } from './reducers/appReducer';
import BrowserReducer, {BrowserReducerInitialState} from './reducers/browserReducer';
import OcsApiReducer, {OcsApiReducerInitialState} from './reducers/ocsApiReducer';

export const Context = React.createContext();
const Provider = Context.Provider;

const StoreContextProvider = (props) => {
    const [ appState, appDispatch ] = React.useReducer(AppReducer,AppReducerInitialState);
    const [ browserState, browserDispatch ] = React.useReducer(BrowserReducer,BrowserReducerInitialState);
    const [ ocsApiState, ocsApiDispatch ] = React.useReducer(OcsApiReducer,OcsApiReducerInitialState);

    return (
        <Provider {...props} value={{
            appState,appDispatch,
            browserState,browserDispatch,
            ocsApiState,ocsApiDispatch
        }}/>
    )
}

export default StoreContextProvider;