export function ConvertByteToHumanReadable(byte) {
    byte = parseFloat(byte);

    const kb = 1024;
    const mb = 1024 * kb;
    const gb = 1024 * mb;
    const tb = 1024 * gb;
    const pb = 1024 * tb;
    const eb = 1024 * pb;
    const zb = 1024 * eb;
    const yb = 1024 * zb;

    let text = '';
    if (byte < kb) {
        text = `${byte.toFixed(0)} B`;
    }
    else if (byte < mb) {
        text = `${(byte / kb).toFixed(2)} KB`;
    }
    else if (byte < gb) {
        text = `${(byte / mb).toFixed(2)} MB`;
    }
    else if (byte < tb) {
        text = `${(byte / gb).toFixed(2)} GB`;
    }
    else if (byte < pb) {
        text = `${(byte / tb).toFixed(2)} TB`;
    }
    else if (byte < eb) {
        text = `${(byte / pb).toFixed(2)} PB`;
    }
    else if (byte < zb) {
        text = `${(byte / eb).toFixed(2)} EB`;
    }
    else if (byte < yb) {
        text = `${(byte / zb).toFixed(2)} ZB`;
    }
    else if (byte >= yb) {
        text = `${(byte / yb).toFixed(2)} YB`;
    }
    return text;
}